#!/bin/sh
# DEL -RESTORE -PURGE FILENAMELIST

# Check if the folder TRASH exists. If it doesn't, create it.
if ! test -e TRASH
then
  mkdir TRASH
fi

# Make sure at least one argument is provided
if test -z $1
then
  echo 'Error: Please provide an argument'
  echo 'Usage: DEL -RESTORE -PURGE FILENAMELIST'
  exit 1
fi

if test $1 = '-PURGE'
then
  # Empty the TRASH folder
  if ! test -z `ls TRASH`
  then 
    rm TRASH/*.*
  fi
elif test $1 = '-RESTORE'
then
  # Go through each file in TRASH and move it to current directory
  for i in `ls TRASH` 
  do
    mv TRASH/$i ./$i
  done
else
  # Go through each file in the argument and move it to TRASH
  while [ $# != 0 ]
  do
    mv ./$1 TRASH/$1
    shift      # Move on to the next file name
  done 
fi

