/*
process.c source target match
*/

#include <stdio.h>
#include <string.h>

int main(int argc, char* argv[])
{
  FILE *sf; // Pointer the source file
  FILE *tf; // Pointer to the target file
  char line[128];
  // Three arguments should be passed in command-line
  // First argument is also the program name
  if(argc != 4)
  {
    printf("Error: Not enough arguments passed!\n");
    printf("Usage: process source target match!\n");
    return 0;
  }
  
  // Open the source file
  sf = fopen(argv[1], "r");
  // Open the target file
  tf = fopen(argv[2], "a");

  if(sf == NULL || tf == NULL)
    return 0;
	
  //Go through each line in the source file
  while(fgets(line, sizeof line, sf) != NULL)
  {
    //Check if this line contains the word to be matched
    if(strstr(line, argv[3]) == NULL)
      fputs(line, tf); // Add this line to the target line
  }

  // Close both files
  fclose(sf);
  fclose(tf);
  return 0;
}
